<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /Users/sdy/AVS/github/avs-device-sdk/AuthDelegate/src/AuthDelegate.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.6.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d29adff17bb6696e11bfddeba1f84e1.html">AuthDelegate</a></li><li class="navelem"><a class="el" href="dir_bcbbf4f43094c478566279113e963a8d.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AuthDelegate.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;functional&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;random&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;<a class="el" href="_configuration_node_8h_source.html">AVSCommon/Utils/Configuration/ConfigurationNode.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_alexa_client_s_d_k_init_8h_source.html">AVSCommon/AVS/Initialization/AlexaClientSDKInit.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_http_post_8h_source.html">AVSCommon/Utils/LibcurlUtils/HttpPost.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_http_response_codes_8h_source.html">AVSCommon/Utils/LibcurlUtils/HttpResponseCodes.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_auth_delegate_8h_source.html">AuthDelegate/AuthDelegate.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AuthDelegate.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_auth_delegate_8cpp__incl.png" border="0" usemap="#_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2src_2_auth_delegate_8cpp" alt=""/></div>
<map name="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2src_2_auth_delegate_8cpp" id="_2_users_2sdy_2_a_v_s_2github_2avs-device-sdk_2_auth_delegate_2src_2_auth_delegate_8cpp">
<area shape="rect" id="node9" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="464,452,678,491"/>
<area shape="rect" id="node15" href="_alexa_client_s_d_k_init_8h.html" title="AVSCommon/AVS/Initialization\l/AlexaClientSDKInit.h" alt="" coords="157,365,361,404"/>
<area shape="rect" id="node17" href="_http_post_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpPost.h" alt="" coords="983,105,1183,144"/>
<area shape="rect" id="node26" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="867,365,1043,404"/>
<area shape="rect" id="node31" href="_http_response_codes_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpResponseCodes.h" alt="" coords="1649,105,1848,144"/>
<area shape="rect" id="node32" href="_auth_delegate_8h.html" title="AuthDelegate/AuthDelegate.h" alt="" coords="2358,372,2555,397"/>
<area shape="rect" id="node19" href="_curl_easy_handle_wrapper_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/CurlEasyHandleWrapper.h" alt="" coords="1506,192,1706,231"/>
<area shape="rect" id="node30" href="_http_post_interface_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpPostInterface.h" alt="" coords="1883,452,2083,491"/>
<area shape="rect" id="node20" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1329,452,1505,491"/>
<area shape="rect" id="node25" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1455,279,1631,317"/>
<area shape="rect" id="node21" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1355,539,1531,577"/>
<area shape="rect" id="node23" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1030,625,1206,664"/>
<area shape="rect" id="node27" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1011,539,1187,577"/>
<area shape="rect" id="node28" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1006,452,1203,491"/>
<area shape="rect" id="node29" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="830,625,1006,664"/>
<area shape="rect" id="node36" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="2860,452,3051,491"/>
<area shape="rect" id="node37" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="2676,539,2867,577"/>
<area shape="rect" id="node38" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="2158,459,2368,484"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1auth_delegate"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html">alexaClientSDK::authDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_auth_delegate_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_registration_manager_8cpp.html#a73216df79c9ad2b23fd2eef0a8f10d1b">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac396dffc0fc3ccc3caf297d8633a1f90"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ac396dffc0fc3ccc3caf297d8633a1f90">alexaClientSDK::authDelegate::TAG</a> (&quot;AuthDelegate&quot;)</td></tr>
<tr class="memdesc:ac396dffc0fc3ccc3caf297d8633a1f90"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ac396dffc0fc3ccc3caf297d8633a1f90">More...</a><br /></td></tr>
<tr class="separator:ac396dffc0fc3ccc3caf297d8633a1f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa10d9545c322e96ebe3a86a16d342b43"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#aa10d9545c322e96ebe3a86a16d342b43">alexaClientSDK::authDelegate::isUnrecoverable</a> (const std::string &amp;error)</td></tr>
<tr class="separator:aa10d9545c322e96ebe3a86a16d342b43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90981c5626887a75a729cb9623f8db9c"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a90981c5626887a75a729cb9623f8db9c">alexaClientSDK::authDelegate::isUnrecoverable</a> (AuthObserverInterface::Error error)</td></tr>
<tr class="separator:a90981c5626887a75a729cb9623f8db9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad163472b90c36f41a9c8d68729b660c3"><td class="memItemLeft" align="right" valign="top">static AuthObserverInterface::Error&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ad163472b90c36f41a9c8d68729b660c3">alexaClientSDK::authDelegate::getErrorCode</a> (const std::string &amp;error)</td></tr>
<tr class="separator:ad163472b90c36f41a9c8d68729b660c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab390b582c0eda7ba11c0b4e76641de60"><td class="memItemLeft" align="right" valign="top">static std::chrono::steady_clock::time_point&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab390b582c0eda7ba11c0b4e76641de60">alexaClientSDK::authDelegate::calculateTimeToRetry</a> (int retryCount)</td></tr>
<tr class="separator:ab390b582c0eda7ba11c0b4e76641de60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4a1dbd889639b4d2d5539e046d94769c"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a4a1dbd889639b4d2d5539e046d94769c">alexaClientSDK::authDelegate::CONFIG_KEY_AUTH_DELEGATE</a> = &quot;authDelegate&quot;</td></tr>
<tr class="memdesc:a4a1dbd889639b4d2d5539e046d94769c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a4a1dbd889639b4d2d5539e046d94769c">More...</a><br /></td></tr>
<tr class="separator:a4a1dbd889639b4d2d5539e046d94769c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d0226d8552feadf5a039abc7d5f4e7"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ac9d0226d8552feadf5a039abc7d5f4e7">alexaClientSDK::authDelegate::CONFIG_KEY_CLIENT_ID</a> = &quot;clientId&quot;</td></tr>
<tr class="memdesc:ac9d0226d8552feadf5a039abc7d5f4e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of clientId value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ac9d0226d8552feadf5a039abc7d5f4e7">More...</a><br /></td></tr>
<tr class="separator:ac9d0226d8552feadf5a039abc7d5f4e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec9f58d5fedd2e43cf1d4ea652e7f41"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#acec9f58d5fedd2e43cf1d4ea652e7f41">alexaClientSDK::authDelegate::CONFIG_KEY_CLIENT_SECRET</a> = &quot;clientSecret&quot;</td></tr>
<tr class="memdesc:acec9f58d5fedd2e43cf1d4ea652e7f41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of clientSecret value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#acec9f58d5fedd2e43cf1d4ea652e7f41">More...</a><br /></td></tr>
<tr class="separator:acec9f58d5fedd2e43cf1d4ea652e7f41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f19f618f1c05a7db02cf4aa90f81b54"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a6f19f618f1c05a7db02cf4aa90f81b54">alexaClientSDK::authDelegate::CONFIG_KEY_REFRESH_TOKEN</a> = &quot;refreshToken&quot;</td></tr>
<tr class="memdesc:a6f19f618f1c05a7db02cf4aa90f81b54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of refreshToken value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a6f19f618f1c05a7db02cf4aa90f81b54">More...</a><br /></td></tr>
<tr class="separator:a6f19f618f1c05a7db02cf4aa90f81b54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf04fdfb3e18c59e4865a282bf2a0ce"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#afbf04fdfb3e18c59e4865a282bf2a0ce">alexaClientSDK::authDelegate::CONFIG_KEY_LWA_URL</a> = &quot;lwaUrl&quot;</td></tr>
<tr class="memdesc:afbf04fdfb3e18c59e4865a282bf2a0ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of lwaURL value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#afbf04fdfb3e18c59e4865a282bf2a0ce">More...</a><br /></td></tr>
<tr class="separator:afbf04fdfb3e18c59e4865a282bf2a0ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5de31163231645618627ebbbc308bf42"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a5de31163231645618627ebbbc308bf42">alexaClientSDK::authDelegate::CONFIG_KEY_REQUEST_TIMEOUT</a> = &quot;requestTimeout&quot;</td></tr>
<tr class="memdesc:a5de31163231645618627ebbbc308bf42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of requestTimeout value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a5de31163231645618627ebbbc308bf42">More...</a><br /></td></tr>
<tr class="separator:a5de31163231645618627ebbbc308bf42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e2113022c5518626d116c471b31d72f"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a2e2113022c5518626d116c471b31d72f">alexaClientSDK::authDelegate::CONFIG_KEY_AUTH_TOKEN_REFRESH_HEAD_START</a> = &quot;authTokenRefreshHeadStart&quot;</td></tr>
<tr class="memdesc:a2e2113022c5518626d116c471b31d72f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of authTokenRefreshHeadStart value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a2e2113022c5518626d116c471b31d72f">More...</a><br /></td></tr>
<tr class="separator:a2e2113022c5518626d116c471b31d72f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a539a5fdbb2c23c870260c47071e771ff"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a539a5fdbb2c23c870260c47071e771ff">alexaClientSDK::authDelegate::DEFAULT_LWA_URL</a> = &quot;https://api.amazon.com/auth/o2/token&quot;</td></tr>
<tr class="memdesc:a539a5fdbb2c23c870260c47071e771ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value for lwaURL.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a539a5fdbb2c23c870260c47071e771ff">More...</a><br /></td></tr>
<tr class="separator:a539a5fdbb2c23c870260c47071e771ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99a0cbb530e703699711f6f3c43ef90c"><td class="memItemLeft" align="right" valign="top">static const std::chrono::minutes&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a99a0cbb530e703699711f6f3c43ef90c">alexaClientSDK::authDelegate::DEFAULT_REQUEST_TIMEOUT</a> = std::chrono::minutes(5)</td></tr>
<tr class="memdesc:a99a0cbb530e703699711f6f3c43ef90c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value for requestTimeout.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a99a0cbb530e703699711f6f3c43ef90c">More...</a><br /></td></tr>
<tr class="separator:a99a0cbb530e703699711f6f3c43ef90c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad6637edb06997aec0c82cd3b72b2862"><td class="memItemLeft" align="right" valign="top">static const std::chrono::minutes&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#aad6637edb06997aec0c82cd3b72b2862">alexaClientSDK::authDelegate::DEFAULT_AUTH_TOKEN_REFRESH_HEAD_START</a> = std::chrono::minutes(10)</td></tr>
<tr class="memdesc:aad6637edb06997aec0c82cd3b72b2862"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value for authTokenRefreshHeadStart.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#aad6637edb06997aec0c82cd3b72b2862">More...</a><br /></td></tr>
<tr class="separator:aad6637edb06997aec0c82cd3b72b2862"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a648b45ab7abafee031b1c0f8c175a70c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a648b45ab7abafee031b1c0f8c175a70c">alexaClientSDK::authDelegate::POST_DATA_UP_TO_CLIENT_ID</a> = &quot;grant_type=refresh_token&amp;client_id=&quot;</td></tr>
<tr class="memdesc:a648b45ab7abafee031b1c0f8c175a70c"><td class="mdescLeft">&#160;</td><td class="mdescRight">POST data before 'client_id' that is sent to LWA to refresh the auth token.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a648b45ab7abafee031b1c0f8c175a70c">More...</a><br /></td></tr>
<tr class="separator:a648b45ab7abafee031b1c0f8c175a70c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab84a57a546445ab134cbb09bd043534b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab84a57a546445ab134cbb09bd043534b">alexaClientSDK::authDelegate::POST_DATA_BETWEEN_CLIENT_ID_AND_REFRESH_TOKEN</a> = &quot;&amp;refresh_token=&quot;</td></tr>
<tr class="memdesc:ab84a57a546445ab134cbb09bd043534b"><td class="mdescLeft">&#160;</td><td class="mdescRight">POST data between 'client_id' and 'refresh_token' that is sent to LWA to refresh the auth token.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab84a57a546445ab134cbb09bd043534b">More...</a><br /></td></tr>
<tr class="separator:ab84a57a546445ab134cbb09bd043534b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e54278c6d0a2c5737ba74ff489b48a5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a7e54278c6d0a2c5737ba74ff489b48a5">alexaClientSDK::authDelegate::POST_DATA_BETWEEN_REFRESH_TOKEN_AND_CLIENT_SECRET</a> = &quot;&amp;client_secret=&quot;</td></tr>
<tr class="memdesc:a7e54278c6d0a2c5737ba74ff489b48a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">POST data between 'refresh_token' and 'client_secret' that is sent to LWA to refresh the auth token.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a7e54278c6d0a2c5737ba74ff489b48a5">More...</a><br /></td></tr>
<tr class="separator:a7e54278c6d0a2c5737ba74ff489b48a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2079f136924d85e980bc68169d978387"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a2079f136924d85e980bc68169d978387">alexaClientSDK::authDelegate::JSON_KEY_ACCESS_TOKEN</a> = &quot;access_token&quot;</td></tr>
<tr class="memdesc:a2079f136924d85e980bc68169d978387"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the access token.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a2079f136924d85e980bc68169d978387">More...</a><br /></td></tr>
<tr class="separator:a2079f136924d85e980bc68169d978387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76041b45c2e1cc2da68fea30920343b4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a76041b45c2e1cc2da68fea30920343b4">alexaClientSDK::authDelegate::JSON_KEY_REFRESH_TOKEN</a> = &quot;refresh_token&quot;</td></tr>
<tr class="memdesc:a76041b45c2e1cc2da68fea30920343b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the refresh token.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a76041b45c2e1cc2da68fea30920343b4">More...</a><br /></td></tr>
<tr class="separator:a76041b45c2e1cc2da68fea30920343b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1254bb1a816553d604b93ee8925035ba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a1254bb1a816553d604b93ee8925035ba">alexaClientSDK::authDelegate::JSON_KEY_EXPIRES_IN</a> = &quot;expires_in&quot;</td></tr>
<tr class="memdesc:a1254bb1a816553d604b93ee8925035ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the expiration time.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a1254bb1a816553d604b93ee8925035ba">More...</a><br /></td></tr>
<tr class="separator:a1254bb1a816553d604b93ee8925035ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2b1d07657dfcb2db92d714becb9f389"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab2b1d07657dfcb2db92d714becb9f389">alexaClientSDK::authDelegate::JSON_KEY_ERROR</a> = &quot;error&quot;</td></tr>
<tr class="memdesc:ab2b1d07657dfcb2db92d714becb9f389"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the error.  <a href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab2b1d07657dfcb2db92d714becb9f389">More...</a><br /></td></tr>
<tr class="separator:ab2b1d07657dfcb2db92d714becb9f389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1059429628ba445adcf11df6d23ef74"><td class="memItemLeft" align="right" valign="top">static const std::unordered_map&lt; std::string, AuthObserverInterface::Error &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#af1059429628ba445adcf11df6d23ef74">alexaClientSDK::authDelegate::g_recoverableErrorCodeMap</a></td></tr>
<tr class="separator:af1059429628ba445adcf11df6d23ef74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a383a66426c9a41e5df43170a8faecca5"><td class="memItemLeft" align="right" valign="top">static const std::unordered_map&lt; std::string, AuthObserverInterface::Error &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a383a66426c9a41e5df43170a8faecca5">alexaClientSDK::authDelegate::g_unrecoverableErrorCodeMap</a></td></tr>
<tr class="separator:a383a66426c9a41e5df43170a8faecca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_registration_manager_8cpp.html#a73216df79c9ad2b23fd2eef0a8f10d1b">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.6.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
